libtool (2.4.6-2.1build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:20:36 +0000

libtool (2.4.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mitigate exessive sed forking (Closes: #848864):
    - Add 0010-libtool-mitigate-the-sed_quote_subst-slowdown.patch
    - Add 0011-libtool-optimizing-options-parser-hooks.patch
    - Add 0012-funclib-refactor-quoting-methods-a-bit.patch
    - Refresh 0020-libtool-fix-GCC-clang-linking-with-fsanitize.patch

 -- Andreas Boll <aboll@debian.org>  Tue, 17 Apr 2018 19:50:37 +0200

libtool (2.4.6-2) unstable; urgency=medium

  * Don't show the debain version in --version, just in --help
    (Closes: #832874)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 20 Aug 2016 14:34:31 +0200

libtool (2.4.6-1) unstable; urgency=medium

  * Add sparc64 to the nopic.patch (Closes: #760328)
  * Don't have a "Libtool was configured on host" line anymore
    (Closes: #819767)
  * Make the build-arch and build-indep target do the same thing.
    The libtool package is now arch all, so it makes little sense
    to just build the documentation in the build-indep target.  The
    binary-indep depends on install which depends on build anyway.
  * Add upstream signing key
  * Change clean target to remove all generated files.
  * Add --skip-po to bootstrap call
  * Remove git-version-gen and gitlog-to-changelog from bootstrap.conf
  * Update way of adding the Debian version to the files.
  * Build-Depend on gnulib and tell bootstrap where to found it.
  * Use --copy for bootstrap.  It defaults to creating symlinks.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 25 Jul 2016 19:42:23 +0200

libtool (2.4.6-0.1) unstable; urgency=medium

  * Non maintainer upload.

  [ Rico Tzschichholz ]
  * New upstream release
    Remove patches applied upstream:
    - hurd.patch
    - x32.patch
    - ppc64el.patch
  * Cherry-picked patches from upstream git:
    - 0001-libtool-fix-GCC-linking-with-specs.patch
    - 0003-libtoolize-fix-infinite-recursion-in-m4.patch
    - 0015-syntax-check-fix-sed-syntax-errors.patch
    - 0020-libtool-fix-GCC-clang-linking-with-fsanitize.patch
  * Build-depend on texinfo needed by bootstrap.
  * *.install/rules: Updated for upstream changes.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Feb 2016 17:02:04 +0100

libtool (2.4.2-1.11) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libtool's dependency on libtool-bin.
  * Add libtool-bin dependency on libtool.
  * Make libtool Multi-Arch: foreign. Closes: #682045.
  * Bump standards version to 3.9.6.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Oct 2014 19:21:11 +0200

libtool (2.4.2-1.10) unstable; urgency=medium

  * Non-maintainer upload.
  * Run the tests in the build target, not the install target.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Aug 2014 16:31:18 +0200

libtool (2.4.2-1.9) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the architecture only build.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Aug 2014 14:41:15 +0200

libtool (2.4.2-1.8) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Split-out the libtool binary into a libtool-bin package, let libtool
    still depend on the libtool-bin package.
  * Set the architecture for libtool to `all'.
  * The next steps are:
    - Fix package builds with libtool's dependency on libtool-bin removed,
      either by changing the package build not to require libtool or by
      adding a build dependency on libtool-bin.
    - Drop libtool's dependency on libtool-bin.
  * Build using dpkg-buildflags.
  * Fix some lintian warnings. Closes: #711521.
  * Only ship the complete upstream changelogs in the -doc package.
  * Move texinfo to Build-Depends-Indep (Daniel Schepler). Closes: #737941.
  * Build-depend on most recent autoconf and automake versions to minimize
    the risk of mismatching files in the libltdl-dev M-A: same package.
    Closes: #733935.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Aug 2014 19:01:14 +0200

libtool (2.4.2-1.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo in the ppc64el guessing in config.guess.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Feb 2014 12:36:45 +0100

libtool (2.4.2-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild using the recent automake 1.14.1 version. Closes: #733935.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jan 2014 19:23:20 +0100

libtool (2.4.2-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the powerpc little endian support, outdated in the Debian
    patch in #726404.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Jan 2014 18:29:44 +0100

libtool (2.4.2-1.4) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * Add powerpc little endian updates. Closes: #726404.
  * Build-conflict with and suggest gcj-jdk instead of gcj.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jan 2014 22:03:26 +0100

libtool (2.4.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on help2man (closes: #712413).

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Jul 2013 18:33:15 +0100

libtool (2.4.2-1.2) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * Backport support for x32 from upstream git.  Closes: #692222.

 -- Daniel Schepler <schepler@debian.org>  Fri, 23 Nov 2012 15:26:44 -0800

libtool (2.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream fix for hurd-i386 linker flags (Closes: #648514).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Jun 2012 00:05:43 +0200

libtool (2.4.2-1) unstable; urgency=low

  * New upstream release
    Remove patches applied upstream:
    - define_shlibpath_overrides_runpath4hurd.patch
    - tagdemo-libfoo.patch
  * Remove disable_cmdline_wrap4hurd.patch as it never really was
    needed in the first place.  The other tests failing made the
    cmdline_wrap test fail.
  * Add multiarch support.  Patch from
    Steve Langasek <steve.langasek@canonical.com>  (Closes: #646771)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 29 Oct 2011 20:08:48 +0200

libtool (2.4-4) unstable; urgency=low

  * dpkg-dev decided to also reverse apply the arm change, so remove
    the revert (Closes: #632614)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 24 Aug 2011 14:10:54 +0000

libtool (2.4-3) unstable; urgency=low

  * Also cat test-suite.log (Closes: #632613)
  * Also disable broken tests with non-PIC code on arm. (Closes: #632614)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 29 Jul 2011 15:45:31 +0200

libtool (2.4-2) unstable; urgency=low

  * Add support for hurd (Closes: #612204)
    Patches from Svante Signell <srs@kth.se> and
    Pino Toscano <toscano.pino@tiscali.it>

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 07 Apr 2011 21:57:09 +0200

libtool (2.4-1) unstable; urgency=low

  * New upstream release
    - Update build-depends to automake (>= 1:1.11.1), autoconf (>= 2.62)
    - Update patches to apply to current version:
      - link_all_deplibs.patch
      - deplib_binary.patch
  * convert to a 3.0 (quilt) source format, and drop quilt build-dependency.
  * Make tagdemo link to libfoo (Closes: #619845)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 02 Apr 2011 19:07:56 +0000

libtool (2.2.10-1) experimental; urgency=low

  * New upstream release (Closes: #586246)
    - Change license of documentation to GFDL 1.3
    - Upstream now provides manpages for libtool and libtoolize, use
      those instead of our own.
    - drop lt_dlopenext.patch, bogus_directory.patch,
      skip_setlocale.patch, kopensolaris.patch and
      gold_symbol_versioning.patch applied upstream.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 17 Jun 2010 20:09:14 +0200

libtool (2.2.6b-2) unstable; urgency=low

  * Add build depedency on zlib1g-dev needed by the search-path.at
    testsuite test.  (Closes: #560219)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 09 Dec 2009 21:51:21 +0100

libtool (2.2.6b-1) unstable; urgency=low

  * New upstream release
    - Fixes CVE-2009-3736 (Closes: #559797)
  * Skip demo-deplibs.test.  This is basicly the same as
    deplibs_test_disable.patch from the 1.5.26 version.
  * Skip the link-order2.at test.  It has the same problem
    as the deplibs test.
  * Since deplibs-ident.at now passes, just let it return that
    the result is ok.
  * Skip localization test when setlocale is not functional.
  * Renable test suite.
  * Remove the "Apps/" part of the doc-base entry.
  * Change debhelper compatibility to 7.
  * Replace dh_clean -k with dh_prep
  * Change build dependency of automake to 1.10.1 (Closes: #542190)
  * Add support for GNU/kOpenSolaris (Closes: #545687)
  * Update Standards-Version from 3.8.1 to 3.8.3: No changes required.
  * Add ${misc:Depends} to libtool-doc's Depends so we have proper
    depedencies for it.
  * Build-Conflict against gcj for now, to avoid a regression test
    failure.  See #555801.
  * Symbol versioning works with the GNU gold linker now. (Closes: #554821)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 09 Dec 2009 20:05:39 +0100

libtool (2.2.6a-4) unstable; urgency=low

  * link_all_deplibs was only set to no for the CXX tag.  Set it to no
    again for all tags.  (Closes: #522663)
  * Don't let a failed testsuite also fail to build for now.  The combination
    of setting link_all_deplibs=no and the deplib_binary.patch make some test
    fail, but those look like testsuite errors.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 07 Apr 2009 19:55:06 +0200

libtool (2.2.6a-3) unstable; urgency=low

  * Don't pull in depedency libs when linking a binary.  (Closes: #522663)
  * DEB_BUILD_OPTIONS nocheck worked inverted.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 06 Apr 2009 22:43:44 +0200

libtool (2.2.6a-2) unstable; urgency=low

  * Rename libltdl7-dev to libltdl-dev, and make it provide libltdl3-dev
    and libltdl7-dev.
  * We don't have an arm arch anymore, so remove from build depedency
    exception.  Instead add hppa since that doesn't have gcj.
  * Add all info pages (Closes: #495411, #512013)
  * Force /bin/bash as shell of /usr/bin/libtool instead of /bin/sh.  The
    generate scripts excepts to have them same shell when it's run.
    (Closes: #512013, #518905)
  * Do not add bogus directory arguments to link command lines.
    Patch from upstream. (Closes: #517501)
  * Fix bogus error on successful loading of library with lt_dlopenext.
    Patch already applied upstream. (Closes: #510006)
  * Add support for the DEB_BUILD_OPTIONS nocheck option
  * Update to Standards-Version 3.8.1

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 30 Mar 2009 22:40:04 +0200

libtool (2.2.6a-1) experimental; urgency=low

  * New upstream release (Closes: #501783)
  * libtool.info-1 anddoc/libtool.info-2 are change during build,
    remove during clean.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 18 Nov 2008 20:41:42 +0100

libtool (2.2.2-1) experimental; urgency=low

  * New upstream release (Closes: #470057)
  * Remove fortran 77 build dependencies (Closes: #463744)
  * Make sure that we use atleast automake 1.10
  * Merge with unstable:
    - Remove comment about being a daily snapshot.
    - Readd watch file.
    - Update copyright file.
    - Use ${binary:Version} in Depends field instead of ${Source-Version}
    - Check for precense of Makefile instead of ignoring failures
      from make distclean, as suggested by lintian.
    - Change patch system from dpatch to quilt.
    - Readded m68k java support.
    - Change DH_COMPAT to a debian/compat file with 4 in it.
  * Remove separate copyright files for individual packages.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 09 Feb 2008 16:23:34 +0000

libtool (2.1a+cvs1.2525+20071016-1) experimental; urgency=low

  * New CVS snapshot.
  * Dropped java support on arm and m68k architectures.
  * Added homepage field to debian/control.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 29 Oct 2007 14:30:17 +0100

libtool (2.1a+cvs1.2460+20070510-1) experimental; urgency=low

  * New CVS snapshot.
  * Revert patches adapted to new libtool: link_all_deplibs, netbsdelf,
    version_type.
  * Build-Depends on automake1.10.
  * Mark libtool version with Debian tag.
  * Remove outdated /usr/share/libtool/libtool.m4 symlink.
  * Revert original order in debian/control file.
  * Show testsuite.log on failure.
  * Clean up after build.

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 13 May 2007 22:05:54 +0200

libtool (2.1a+cvs1.2458+20070509-1) experimental; urgency=low

  * New CVS snapshot.
  * New libltdl7 library package.
  * Removed all patches.
  * Compile with gfortran | fortran95-compiler.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 10 May 2007 00:14:22 +0200

libtool (1.5.22-4) unstable; urgency=low

  * Change gcj build dependency to not !kfreebsd-amd64
    (Closes: #356388)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 11 Mar 2006 19:33:24 +0100

libtool (1.5.22-3) unstable; urgency=low

  * Properly set link_all_deplibs on k*bsd*-gnu.  The previous
    patch for kfreebsd didn't set it in all cases.  Patch from
    Aurelien Jarno <aurel32@debian.org> (Closes: #355789)
  * Make k*bsd*-gnu do the same as on Linux in all cases.  It
    should behave the same.  Based on patch by Aurelien Jarno.
  * Don't build depend on gcj on kfreebsd-amd64
  * Rename bsd.dpatch to netbsdelf.dpatch, since it now
    only adds support for netbsdelf*-gnu.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 11 Mar 2006 16:11:11 +0100

libtool (1.5.22-2) unstable; urgency=low

  * Remove a "--" line from the generate tag for BINCC.  It
    resulted in "--: command not found" error.  Thanks to 
    John V. Belmonte for reporting it and Ralf Wildenhues
    for the fix.  (Closes: #345607)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon,  9 Jan 2006 16:06:58 +0100

libtool (1.5.22-1) unstable; urgency=low

  * New upstream release
    - libtoolize --ltdl now fails if libltdl3-dev is not installed. 
      (Closes: #344756)
  * Also set link_all_deplibs to no on kfreebsd*-gnu.  Patch from
    Aurelien Jarno <aurel32@debian.org>  (Closes: #341978)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 Dec 2005 13:36:48 +0100

libtool (1.5.20-2) unstable; urgency=low

  * Add a conflict on libtool1.4 for libltdl3-dev.  They have overlapping
    files and libtool1.4 should get removed anyway.  (Closes: #329697)
  * Put usr/share/libtool/libltdl in the libltdl3-dev, so libtoolize --ltdl
    works again
  * Don't build-depend gcj on kfreebsd-i386, they don't have it.
    (Closes: #329703)
  * Change Standards-Version to 3.6.2, no changes.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 25 Sep 2005 16:16:17 +0200

libtool (1.5.20-1) unstable; urgency=low

  * New maintainer (Closes: #302484)
  * New upstream release (Closes: #265005)
    - Configure test to detect -fPIC support in combination with other CFLAGS
      could fail to detect if it's supported. (1.5.16)  (Closes: #219490)
    - ia64 tests should have been fix, run them again. (1.5.10)
    - Fix .libs/.libs/libfoo.so link problem when linking against an other lib
      from the same package. (1.5.8)
  * Enable gcj on hppa again since gcj-4.0 is available on it.
  * Enable the test suite on m68k again, slow is not a good reason not to run
    it.
  * Move ltdl.m4 from libtool to libltdl-dev package, where it belongs.
    Add a conflicts/replaces from libltdl-dev to the libtool package.
  * Remove usr/share/libtool/libltdl from the libtool package
  * Make the libtool.m4 in /usr/share/libtool a symlink to the one in 
    /usr/share/aclocal.
  * libltdl3-dev.preinst: No longer remove the old directory on upgrade.
    libltdl3-dev.preinst does nothing now so remove the file.
  * libtool.postinst: We don't run ltconfig anymore, so don't play with
    cc's alternatives.
  * Put the config.guess and config.sub symlinks in the package instead
    of creating them in the libtool.postinst.  Remove the libtool.postinst
    and libtool.prerm scripts since they do nothing now.
  * Add AUTHORS, README, THANKS and TODO in the docs dir.
  * Remove obsolete conflicts/replaces for libltdl0.1 and libltdl0,
    it's not even in woody.
  * Split out patches, and convert to using dpatch
  * Always do a full bootstrap of the configure scripts before
    building so I only have to patch 1 file.
  * Embed the debian version in libtool.m4 and ltmain.in/sh
  * Add a watch file.

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 14 Sep 2005 21:11:24 +0200

libtool (1.5.6-6) unstable; urgency=low

  * Orphan.

 -- Scott James Remnant <scott@netsplit.com>  Fri,  1 Apr 2005 01:28:13 +0100

libtool (1.5.6-5) unstable; urgency=low

  * Apply patch from upstream to allow five digits in version-info.

 -- Scott James Remnant <scott@netsplit.com>  Tue,  8 Mar 2005 18:12:26 +0000

libtool (1.5.6-4) unstable; urgency=low

  * Correct accidental slide into a native package.
  * Apply patch to fix memory leak in libltdl.  Closes: #281929.
  * Usual postinst change to support only gcc 3.4 or gcc 4.0.  Closes: #281708.
  * Remove build-essential dependencies from libltdl3-dev.  Closes: #260298.

 -- Scott James Remnant <scott@netsplit.com>  Sat, 22 Jan 2005 14:17:59 +0000

libtool (1.5.6-3) unstable; urgency=low

  * Don't build-depend on gcj on netbsd-i386 or hurd-i386.  Closes: #260299.
  * Apply patch to correct problem with "-lfoo -Ldir -lbar" picking bar up
    from the same directory as foo, instead of in 'dir'

 -- Scott James Remnant <scott@netsplit.com>  Tue, 26 Oct 2004 10:37:41 +0100

libtool (1.5.6-2) unstable; urgency=low

  * Apply patch from Joel Baker to support Debian GNU/kNetBSD systems
    with *-*-netbsdelf-gnu triplet.  Closes: #244770.
  * Fail earlier on invalid version_type so we output a useful error
    message.  Closes: #247169.
  * Skip the Non-PIC test on x86-64, it can't handle Non-PIC code inside
    shared libraries.  Closes: #246746.

 -- Scott James Remnant <scott@netsplit.com>  Tue,  6 Jul 2004 17:52:19 +0100

libtool (1.5.6-1) unstable; urgency=low

  * New upstream release.
    - Correctly installs libltdl.
    - Correctly provides shrext_cmds to libltdl.
      Closes: #242161, #242380, #242457, #242488, #243008, #243033, #243107,
              #243261.

 -- Scott James Remnant <scott@netsplit.com>  Mon, 12 Apr 2004 18:17:59 +0100

libtool (1.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Scott James Remnant <scott@netsplit.com>  Sat,  3 Apr 2004 19:10:11 +0100

libtool (1.5.2-2) unstable; urgency=low

  * Remove .svn check from debian/rules, no longer necessary.
  * Correctly pass CFLAGS to configure.
  * No longer dlopens libraries with RTLD_GLOBAL.  Closes: #195821, #221811.
  * Don't add the contents of dependency_libs to the link line when
    linking programs.  Closes: #191425, #199423, #238681.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 28 Mar 2004 20:08:59 +0100

libtool (1.5.2-1) unstable; urgency=low

  * New upstream release.

    This largely just included our patches from 1.5, there are a couple
    of additional bug fixes in this release though.
  * Move to a single libtool.info file.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 25 Jan 2004 14:45:02 +0000

libtool (1.5-9) unstable; urgency=low

  * Apply patch from Robert Millan <zeratul2@wanadoo.es> to complete
    support for GNU/kNetBSD.  Closes: #224440.
  * Apply keybuk-precious-files.patch (backported from 1.6) to add
    an option to prevent the removal of files from the temporary
    output directory.  Closes: #221420.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 11 Jan 2004 01:33:18 +0000

libtool (1.5-8) unstable; urgency=medium

  * Bring the various copyright files up to par.
  * Apply patch to infer tagged configuration in link mode with all
    compiler arguments available, rather than just the first.
  * Remove the mkdir -p option from when creating a temporary output
    directory to prevent symlink abuse.
  * Generate the info files on build as we need a certain --split-size
    for hysterical raisins.

 -- Scott James Remnant <scott@netsplit.com>  Sat,  3 Jan 2004 14:49:52 +0000

libtool (1.5-7) unstable; urgency=high

  * Add missing 'continue' line when acting on finding -pthread and friends
    in $deplibs.  This line of code is in all my copies of ltmain, it's in
    my test package of libtool, it's in the upstream CVS where I comitted it,
    it's in the patch file I made to do that and is in the 1.4.3 package that
    used the same patch; but for no apparent reason it vanished from the
    Debian 1.5-6 package!  Closes: #221467.

 -- Scott James Remnant <scott@netsplit.com>  Tue, 18 Nov 2003 17:08:17 +0000

libtool (1.5-6) unstable; urgency=low

  * Error in the binary targets if a .svn directory exists, to prevent
    me accidentally shipping them in the diff.  To create binary packages
    from the svn source add TEST=yes to the debian/rules line.
    Closes: #219461.
  * Fix libtoolize so the cd command run when AC_CONFIG_AUX_DIR is used
    is shown when --dry-run is given.  Closes: #153699.
  * Yet Another(tm) patch to prevent hardcoding of dependency library
    rpaths, replacing the one in 1.5-3.  Any path listed in /etc/ld.so.conf
    is now not rpathed.  This is more palatable upstream.
  * The Ultimate -pthread Patch(tm), the previous change broke placing
    -pthread in libs' $deplibs.  This new patch treats the arguments the
    same for libraries and programs, and even honours them when found
    in dependency_libs but doesn't place them there first.
  * Infer near-default configuration when invoked as 'libtool cc' rather
    than complaining that we can't infer a tag.
  * Fix -static, -prefer-pic and -prefer-non-pic when used with a tagged
    configuration.  Closes: #217834.
  * Synchronise with upstream CVS.  The changes are:
    - MinGW reverted back to an objdump-base test.
    See changelog.gz for more detail.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 16 Nov 2003 15:10:15 +0000

libtool (1.5-5) unstable; urgency=low

  * Apply upstream patch to preserve --tag, --debug, --quiet and
    --silent arguments when invoking ourselves to perform
    relink or finish modes.  Closes: #214484.
  * Don't propogate -pthread and friends to dependency_libs, but also
    don't complain when we find it there.  This fixes the recent GNOME
    problems without breaking anything else (I hope).

 -- Scott James Remnant <scott@netsplit.com>  Wed, 29 Oct 2003 17:31:07 +0000

libtool (1.5-4) unstable; urgency=low

  * Remove Build-Depends-Indep placing texi2html and texinfo in
    Build-Depends.  Policy is wrong, the buildds do not ensure these are
    installed for the "build" target of debian/rules.  Closes: #216492.
  * Built with dpkg 1.10.10, the latest version ignores the
    [!hppa !mips !mipsel] clause in Build-Depends.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 19 Oct 2003 16:19:22 +0100

libtool (1.5-3) unstable; urgency=low

  * Synchronise with upstream CVS, in case they decide to skip 1.5.1
    after all and go straight to 1.6.  The changes are:
    - GNU/KNetBSD support added.
    - lt_dlrealloc now part of the libltdl API.  Closes: #120169.
    See changelog.gz for more detail.
  * Run 'make check' after build to make sure it all works.
  * Fix permissions of tests/mdemo2-*.test so "make check" will work.
  * Move rules to create info files and examples .tar.gz files to
    the build target so we don't pollute them with stuff from "make check".
  * Disable demo-nopic test on hppa.
  * Add /usr/local/lib and /usr/X11R6/lib to sys_lib_dlsearch_path_spec.
  * Add gcc-3.3 to the list of packages we maintain the /usr/bin/cc
    alternative for.  Closes: #216349.
  * Remove dead code from libtool.m4.  Closes: #210378.
  * Add the various compiler threading options to dependency_libs, and
    don't barf if we find them.
  * Merge addition of --no-supress option from HEAD.  Closes: #207475.
  * Mention that libtool-doc will become non-free after sarge.

 -- Scott James Remnant <scott@netsplit.com>  Wed,  1 Oct 2003 00:27:19 +0100

libtool (1.5-2) unstable; urgency=low

  * Make mdemo2-*.test executable so they don't fail when you go
    "make check"
  * Prevent recursion on missing ltmain.sh by checking ltmain.in
    exists first.  Closes: #164452.
  * Remove build dependency on gcj on hppa, mips and mipsel to
    fix build failure.  Closes: #207923.
  * Remove fallback suggestion of java-compiler, libtool will
    only support gcj for the forseeable future.
  * Place NEWS and ChangeLog files in all packages, also add missing
    ChangeLog.1 file.  Closes: #205458.
  * Always use pass_all on Linux ELF, host_cpu is irrelevant.
    Closes: #208552.
  * Don't pass -nostdlib to gcc when creating an archive so we can
    throw away all the gcc version-specific hardcoding.  Closes: #206356.
  * Ensure STRIP variable is properly quoted.

 -- Scott James Remnant <scott@netsplit.com>  Wed, 10 Sep 2003 23:42:48 +0100

libtool (1.5-1) unstable; urgency=low

  * Initial Release of the "multi language" version of GNU Libtool.
    This is a cooler and more froody version of Libtool than 1.4 was
    and not only makes C++ libraries properly but does Fortran77 and
    compiled Java libraries too.  The catch?  It won't work with
    packages still using Autoconf 2.13.  Either upgrade your
    configure.in to Autoconf 2.5x, or install the libtool1.4 package.
    Closes: #190216, #195278, #192918.

 -- Scott James Remnant <scott@netsplit.com>  Sat,  2 Aug 2003 02:08:10 +0100

